Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 234667

Summary: Review Request: dwarves - DWARF Tools
Product: [Fedora] Fedora Reporter: Arnaldo Carvalho de Melo <acme>
Component: Package ReviewAssignee: Arnaldo Carvalho de Melo <acme>
Status: CLOSED ERRATA QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: jonstanley, kevin, sdeasey
Target Milestone: ---Flags: ajax: fedora-review+
tibbs: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: dwarves-1.9-2.el5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-01-05 22:25:32 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Arnaldo Carvalho de Melo 2007-03-30 22:11:57 UTC
Spec URL: http://oops.ghostprotocols.net:81/acme/dwarves/rpm/dwarves.spec
SRPM URL: http://oops.ghostprotocols.net:81/acme/dwarves/rpm/SRPMS/dwarves-0-16.src.rpm
Description:
dwarves is a set of tools that use the DWARF debugging information inserted in
ELF binaries by compilers such as GCC , used by well known debuggers such as
GDB, and more recent ones such as systemtap.

Utilities in the dwarves suite include pahole, that can be used to find
alignment holes in structs and classes in languages such as C, C++, but not
limited to these, and other information such as CPU cacheline alignment,
helping pack those structures to achieve more cache hits, codiff, a diff like
tool to compare the effects changes in source code generate on the resulting
binaries, pfunct, that can be used to find all sorts of information about
functions, inlines, decisions made by the compiler about inlining, etc.

Comment 1 Arnaldo Carvalho de Melo 2007-04-02 14:42:49 UTC
new SRPM:
http://oops.ghostprotocols.net:81/acme/dwarves/rpm/SRPMS/dwarves-0-17.src.rpm

Comment 2 Arnaldo Carvalho de Melo 2007-04-04 23:22:04 UTC
New Release:

SRPM: http://oops.ghostprotocols.net:81/acme/dwarves/rpm/SRPMS/dwarves-0-18.src.rpm

Comment 4 Arnaldo Carvalho de Melo 2007-04-25 20:14:44 UTC
When somebody steps up to review this package, please contact me about making a
new release.

Comment 5 manuel wolfshant 2007-04-25 23:24:28 UTC
Just a quick check (NOT official review), to fix some things which are obviously
wrong:

- Source 0 is not downloadable (pahole-0.tar.bz2).
-->please provide a means to verify that the included source is identical to
upstreaml in particular, Source0 should be the full URL to the source or a
description on how can the source be downloaded (for instance from svn or cvs)
- wrong BuildRoot; please see Packaging/Guidelines#BuildRoot in the wiki
- several packages are included by default in the buildroot and need not to be
included: gcc, make, binutils, glibc-devel; please see
Packaging/Guidelines#Exceptions in the wiki
- make does not honor SMP flags. If it doesn't build with it, please add a
comment; please see Packaging/Guidelines#parallelmake in the wiki
- make does not honor RPM_OPT_FLAGS; I suggest taking a look at
http://fedoraproject.org/wiki/PackagingDrafts/cmake
- cosmetical change: would be nice if the rm -f line in %install and %clean
would use the same -r or -R flag
- rpmlint on the generated binary gives lots of warnings/errors:
rpmlint of dwarves:
W: dwarves devel-file-in-non-devel-package /usr/lib64/ctracer/ctracer_jprobe.c
W: dwarves spurious-executable-perm /usr/lib64/ctracer/ctracer_jprobe.c
E: dwarves script-without-shebang /usr/lib64/ctracer/Makefile
W: dwarves devel-file-in-non-devel-package /usr/lib64/ctracer/ctracer_relay.h
W: dwarves spurious-executable-perm /usr/lib64/ctracer/ctracer_relay.h
W: dwarves devel-file-in-non-devel-package /usr/lib64/ctracer/ctracer_relay.c
W: dwarves spurious-executable-perm /usr/lib64/ctracer/ctracer_relay.c
W: dwarves non-standard-group Base
W: dwarves no-version-in-last-changelog
E: dwarves only-non-binary-in-usr-lib

rpmlint of dwarves-debuginfo:
W: dwarves-debuginfo no-version-in-last-changelog
rpmlint of libdwarves-devel:
W: libdwarves-devel no-documentation
W: libdwarves-devel no-dependency-on libdwarves
W: libdwarves-devel non-standard-group Development
W: libdwarves-devel no-version-in-last-changelog

rpmlint of libdwarves1:
W: libdwarves1 no-documentation
E: libdwarves1 library-without-ldconfig-postin /usr/lib64/libdwarves.so.1.0.0
E: libdwarves1 library-without-ldconfig-postun /usr/lib64/libdwarves.so.1.0.0
W: libdwarves1 non-standard-group Libraries
W: libdwarves1 no-version-in-last-changelog

- wrong permissions of files: all files --including .c, .h, .py? in package
dwarves-0-18.x86_64.rpm have exec bit set (755 instead of 644)
- same goes for the files in the debug package


Comment 6 Arnaldo Carvalho de Melo 2007-05-11 19:13:55 UTC
http://oops.ghostprotocols.net:81/acme/dwarves/rpm/SRPMS/ is being kept
frequently  updated with git snapshots. I've addressed most of the above
problems. Now waiting for a new round of review.

Comment 7 Adam Jackson 2007-05-12 00:49:44 UTC
Taking for review


Comment 8 Adam Jackson 2007-05-12 02:41:38 UTC
As of 0-24:

% rpmlint i386/*.rpm          
W: dwarves no-version-in-last-changelog
E: dwarves only-non-binary-in-usr-lib
W: dwarves devel-file-in-non-devel-package /usr/lib/ctracer/ctracer_relay.c
W: dwarves devel-file-in-non-devel-package /usr/lib/ctracer/ctracer_relay.h
W: dwarves devel-file-in-non-devel-package /usr/lib/ctracer/ctracer_jprobe.c
W: dwarves-debuginfo no-version-in-last-changelog
W: libdwarves1 no-version-in-last-changelog
W: libdwarves1 no-documentation
W: libdwarves1-devel no-version-in-last-changelog

The one error is unpleasant.  Any reason why that stuff's not in /usr/share? 
systemtap has similar code in its directories in /usr/share, so even though it
technically violates one of the MUSTS in the review guidelines I think there's a
good case for it.

Also, if the SRPM is intended to be the preferred distribution format, then you
need to note that in a comment above Source0.

Otherwise passes all MUSTS as far as I can see.

Comment 9 Arnaldo Carvalho de Melo 2007-05-13 23:30:40 UTC
If the preferred place is /usr/share, then I'll change it. I guess I can also
cut a 1.0 version and put it in my kernel.org area and refer to it in the
Source: tag.
Will do that and report here.

Comment 10 Arnaldo Carvalho de Melo 2007-05-22 16:28:11 UTC
[acme@filo pahole]$ rpmlint rpm/RPMS/i386/*
W: dwarves devel-file-in-non-devel-package
/usr/share/dwarves/runtime/ctracer_relay.c
W: dwarves devel-file-in-non-devel-package
/usr/share/dwarves/runtime/ctracer_jprobe.c
W: dwarves devel-file-in-non-devel-package
/usr/share/dwarves/runtime/ctracer_relay.h
W: libdwarves1 no-documentation
[acme@filo pahole]$

Now I'm doing the last tests and will report soon when I have everything ready.

Comment 11 Arnaldo Carvalho de Melo 2007-05-22 16:58:50 UTC
OK, new spec file at:

http://oops.ghostprotocols.net:81/acme/dwarves/rpm/dwarves.spec

New src.rpm at:

http://oops.ghostprotocols.net:81/acme/dwarves/rpm/SRPMS/dwarves-1.0-1.src.rpm

And the 1.0 tarball is at:

http://userweb.kernel.org/~acme/dwarves-1.0.tar.bz2

Please let me know if there is still any problems.

Comment 12 Adam Jackson 2007-05-23 21:53:08 UTC
Looks good to me.

Comment 13 Arnaldo Carvalho de Melo 2007-05-24 03:37:16 UTC
OK, so what is the next step?

Comment 14 Jason Tibbitts 2007-05-25 17:34:50 UTC
I'm not sure what the point of setting needinfo to a mailing list is, but I can
give you some references.

First, were you sponsored in the account system?  (Even RH employees need this.)
 I don't see your address as the owner of any existing Fedora packages.  If not,
you'll need sponsorship before you can continue.

Setting aside the issue of sponsorship, you are at step 8 of
http://fedoraproject.org/wiki/PackageMaintainers/NewPackageProcess

So the next step would be to make a CVS request as detailed in
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure

Comment 15 Ruben Kerkhof 2007-06-17 07:43:36 UTC
I can't fetch http://oops.ghostprotocols.net:81/acme/dwarves/rpm/SRPMS/dwarves-1.0-1.src.rpm 
(connection refused)

Comment 16 Arnaldo Carvalho de Melo 2007-06-17 14:15:41 UTC
Should be OK now.

Comment 17 Ruben Kerkhof 2007-06-17 15:39:07 UTC
Ah, thanks

Just a few comments:

- Source0 line is wrong:
   Source: http://http://userweb.kernel.org/~acme/dwarves/%{name}-%{version}.tar.bz2
- There are some new packaging guidelines (and macros) for cmake:
   http://fedoraproject.org/wiki/Packaging/cmake, can you please have a look at those?
   

Comment 18 Arnaldo Carvalho de Melo 2007-12-09 23:11:29 UTC
Source0 line fixed, cmake packaging guidelines followed. Will try getting the 
CVS request step done.

Comment 19 Arnaldo Carvalho de Melo 2007-12-09 23:17:08 UTC
New Package CVS Request
=======================
Package Name: dwarves
Short Description: DWARF tools
Owners: acme
Branches: F-8


Comment 20 Kevin Fenzi 2007-12-10 16:52:01 UTC
I don't see your account in the cvsextras group... have you been sponsored?

Might take a look at: 
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Do you have any other packages to submit, and/or can you do some pre-reviewing
of other package submissions? 

Comment 21 Arnaldo Carvalho de Melo 2007-12-10 18:11:34 UTC
No I haven't been sponsored, reading that URL. No, I don't have any other 
package to submit. Looking for some packages to pre-review now.

Comment 22 Arnaldo Carvalho de Melo 2007-12-12 16:57:28 UTC
Latest specfile is at:

http://oops.ghostprotocols.net:81/acme/dwarves/rpm/SPECS/dwarves.spec

Comment 23 Arnaldo Carvalho de Melo 2008-01-05 20:48:34 UTC
New Package CVS Request
=======================
Package Name: dwarves
Short Description: DWARF tools
Owners: acme
Branches: F-8


Comment 24 Kevin Fenzi 2008-01-05 21:45:26 UTC
cvs done.

Comment 25 Jon Stanley 2011-02-28 17:11:17 UTC
Package Change Request
======================
Package Name: dwarves
New Branches: EL-5 EL-6
Owners: jstanley
InitialCC: acme

Comment 26 Jason Tibbitts 2011-02-28 18:26:55 UTC
Git done (by process-git-requests).

Comment 27 Fedora Update System 2011-02-28 21:13:48 UTC
Package dwarves-1.9-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dwarves-1.9-2.el6'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/dwarves-1.9-2.el6
then log in and leave karma (feedback).

Comment 28 Fedora Update System 2011-03-17 17:04:28 UTC
dwarves-1.9-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 29 Fedora Update System 2011-03-17 19:56:43 UTC
dwarves-1.9-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/dwarves-1.9-2.el5

Comment 30 Fedora Update System 2011-07-12 15:01:37 UTC
dwarves-1.9-2.el5 has been pushed to the Fedora EPEL 5 stable repository.